org.keycloak.protocol.saml.profile.ecp.util

## Class Soap

- java.lang.Object
- - org.keycloak.protocol.saml.profile.ecp.util.Soap

-     public final class Soap
      extends Object

  Author:
    Pedro Igor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Soap.SoapFaultBuilder`
    `static class` | `Soap.SoapMessageBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Soap()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Soap.SoapFaultBuilder` | `createFault()`
    `static Soap.SoapMessageBuilder` | `createMessage()`
    `static String` | `toSamlHttpPostMessage(InputStream inputStream)` Returns a string encoded accordingly with the SAML HTTP POST Binding specification based on the given `inputStream` which must contain a valid SOAP message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Soap

          public Soap()

  - ### Method Detail

    - #### createFault

          public static Soap.SoapFaultBuilder createFault()

    - #### createMessage

          public static Soap.SoapMessageBuilder createMessage()

    - #### toSamlHttpPostMessage

          public static String toSamlHttpPostMessage(InputStream inputStream)

      Returns a string encoded accordingly with the SAML HTTP POST Binding specification based on the given `inputStream` which must contain a valid SOAP message.

      The resulting string is based on the Body of the SOAP message, which should map to a valid SAML message.

      Parameters:
        `inputStream` - the input stream containing a valid SOAP message with a Body that contains a SAML message
      Returns:
        a string encoded accordingly with the SAML HTTP POST Binding specification

Copyright © 2016 JBoss by Red Hat. All rights reserved.